<?php
// function autoload_from_this_dir($className)
// {
// 	$className = ltrim($className, '\\');
// 	echo dirname(__FILE__).'<br>';
// 	$fileName = dirname(__FILE__) . DIRECTORY_SEPARATOR;
// 	$namespace = '';
// 	if ($lastNsPos = strripos($className, '\\')) {
// 		$namespace = substr($className, 0, $lastNsPos);
// 		$className = substr($className, $lastNsPos + 1);
// 		$fileName .= str_replace('\\', DIRECTORY_SEPARATOR, $namespace) . DIRECTORY_SEPARATOR;
// 	}
// 	$fileName .= str_replace('_', DIRECTORY_SEPARATOR, $className) . '.php';

// 	require $fileName;
// }

// spl_autoload_register( 'autoload_from_this_dir' );

require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/FieldInterface.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/AbstractField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/CronExpression.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/DayOfMonthField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/DayOfWeekField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/FieldFactory.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/HoursField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/MinutesField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/MonthField.php';
require_once dirname(__FILE__) . DIRECTORY_SEPARATOR.'Cron/YearField.php';